package banner

import "time"

type Banner struct {
	Id             int       `orm:"column(id);pk"`
	ClassifyId     int       `description:"分类id"`
	ImageUrl       string    `description:"图片路径"`
	BannerType     int       `description:"类型 1:轮播图，2:头部海报"`
	CreateTime     time.Time `description:"创建时间"`
	ModifyTime     time.Time `description:"修改时间"`
	ClassifyName   string    `description:"分类名称"`
	JumpUrl        string    `description:"跳转地址"`
	Abstract       string    `description:"栏目简介"`
	Descript       string    `description:"分享描述"`
	ReportAuthor   string    `description:"栏目作者"`
	AuthorDescript string    `description:"作者简介"`
	ColumnImgUrl   string    `description:"栏目配图"`
	HeadImgUrl     string    `description:"头部banner"`
	AvatarImgUrl   string    `description:"头像"`
	ReportImgUrl   string    `description:"报告配图"`
}

func (c *Banner) TableName() string  {
	return "banner"
}