package report_view_record

import "time"

type ReportViewRecord struct {
	Id          int       `orm:"column(id);pk"`
	UserId      int       `description:"用户id"`
	ReportId    int       `description:"报告id"`
	Mobile      string    `description:"手机号"`
	Email       string    `description:"邮箱"`
	RealName    string    `description:"用户实际姓名"`
	CompanyName string    `description:"公司名称"`
	CreateTime  time.Time `description:"创建时间"`
	ReportChapterId     int `description:"报告章节ID，0表示目录页"`
}

func (r *ReportViewRecord) TableName() string  {
	return "report_view_record"
}