package chart_permission_search_key_word_mapping

type ChartPermissionSearchKeyWordMapping struct {
	Id        		  int  `orm:"primaryKey;column:id;type:int(11) unsigned;not null" json:"-"`
	ChartPermissionId int  	`gorm:"column:chart_permission_id;type:int(11)" json:"chart_permission_id"`
	KeyWord          string  `gorm:"column:key_word;type:varchar(100)" json:"key_word"`
	From             string   `gorm:"column:from;type:varchar(100)" json:"from"`
	TacticType       string	 `gorm:"column:tactic_type;type:varchar(100)" json:"tactic_type"`
	TeleconferenceSort int		`gorm:"column:teleconference_sort;type:int(11)" json:"teleconference_sort"`
}

func (c *ChartPermissionSearchKeyWordMapping) TableName() string {
	return "chart_permission_search_key_word_mapping"
}